<?
header('Content-Type: application/octet-stream');
header("Content-Transfer-Encoding: Binary"); 
header("Content-disposition: attachment; filename=\"Consulta_mensajero.csv\""); 
session_start();
define (__TRACE_ENABLED__, false);
define (__DEBUG_ENABLED__, false);
//$empreact=$_SESSION['empresau'];
include("class.ezpdf.php");
include ("bases.php");
$rut=$_GET['ruta'];
$tabla=$_GET['tabla'];
$plani=$_GET['planilla'];

function truncar($cadena, $tamano)
{
$largo=strlen($cadena);
	
	if($largo<=$tamano)
	{

	}
	else
	{
	$cadena=substr($cadena,0,$tamano);
	}

return $cadena;
}


$tari=new DB();
$bd = new DB();

global $pdf;

$SUP=1028;
$IZQ=-10;
$ms=60;
$mi=60;
$miz=60;
$mder=60;
$SQL="SELECT logo FROM info_empresa";
$bd = new DB();
$bd->query($SQL);
$img_logo=$bd->getfila($SQL);
$img_logo="../logos/".$img_logo[0];


if($HTTP_GET_VARS["planilla"])
{
$planilla=$HTTP_GET_VARS["planilla"];
$tabla=$HTTP_GET_VARS["tabla"];
$id_men=$HTTP_GET_VARS["id_men"];
$SQL="select g.id_mensajero, m.nombre as nom_men, g.id_sucursal,s.nombre as nom_suc
          from $tabla as g
               inner join mensajeros as m on (g.id_mensajero=m.id_mensajero)
               inner join sucursales as s on (g.id_sucursal=s.id_sucursal)
          where g.id_planilla='".$planilla."' and g.id_mensajero=".$id_men." ";
//echo $SQL;
$bd->query($SQL);
$plan=$bd->getfila($SQL);
$SQL="select count(*) from $tabla where id_planilla='".$planilla."' and id_mensajero=".$id_men." ";

$bd->query($SQL);
$cantguias=$bd->getfila($SQL);
	if($cantguias[0]<=0)
	{
	echo '<BR><BR><BR><BR><div class="alertas" align="center">NO HAY GUIAS EN LA <BR> PLANILLA No '.$planilla.'</div>';
	}
	else
	{
	$SQL_plan="select * from planillas where id_planilla='".$planilla."'";
	$bd_plan = new DB();
	$bd_plan->query($SQL_plan);
	$fecha=$bd_plan->getfila($SQL_plan);
		
	$pdf= new Cezpdf();
	$pdf->selectFont('./Helvetica-Bold.afm');
	$pdf->setEncryption('','',array('print')); 
	$all = $pdf->openObject();
	$pdf->saveState();
	$pdf->setLineStyle(0.3);
	$pdf->setStrokeColor(0,0,0);
	$pdf->ezStartPageNumbers(552,790,8,'','Pagina: {PAGENUM} de {TOTALPAGENUM}',1);
	$pdf->addText(200,790,8,'RELACION REPORTE GUIAS PLANILLADAS No '.$planilla);
	$pdf->addJpegFromFile($img_logo,35,782,70,25);
	
	/*Cuadro 1*/
	$pdf->line(32,810,110,810);//Horizontal Superior
	$pdf->line(32,780,110,780);//Horizontal Inferior
	$pdf->line(32,810,32,780);//1era. Linea Vertical
	$pdf->line(110,780,110,810);//2da. Linea Vertical
	/*Cuadro Titulo*/
	$pdf->line(120,810,470,810);//Horizontal Superior
	$pdf->line(120,780,470,780);//Horizontal Inferior
	$pdf->line(120,810,120,780);//1era. Linea Vertical
	$pdf->line(470,780,470,810);//2da. Linea Vertical
	/*Cuadro Arriba*/
	$pdf->line(480,810,573,810);//Horizontal Superior
	$pdf->line(480,780,573,780);//Horizontal Inferior
	$pdf->line(480,810,480,780);//1era. Linea Vertical
	$pdf->line(573,780,573,810);//2da. Linea Vertical
	
   $pdf->restoreState();

	$titulo1='ENTREGADA A: '.$plan[1].' ('.$plan[0].') ';
	$titulo2='FECHA: '.date('Y-m-d H:i:s');
	$titulo3='CIUDAD ORIGEN: '.$plan[3];
	$titulo4='CANTIDAD: '.$cantguias[0];
	
	$pdf->addText(32,760,8,$titulo1);
	$pdf->addText(32,750,8,$titulo2);
	$pdf->addText(32,740,8,$titulo3);
	$pdf->addText(32,730,8,$titulo4);
	
	$pdf->closeObject();
	$pdf->addObject($all,'all');
	$pdf->ezSetMargins(120,20,40,20);
	
	$SQL="SELECT c.cod_cliente, c.nombre as nom_cli, g.orden, o.producto, g.guia, g.destinatario, g.direccion, 
					 g.ciudad, o.peso, o.valor, g.telefono, g.id_estado, m.nombre, m.id_mensajero, m.id_sucursal,
                     g.empresa as nom_est,eg.nombre estado, d.nombre devolucion
			from guias_proceso as g 
				 inner join mensajeros as m on (g.id_mensajero=m.id_mensajero)
				 inner join ordenes as o on (g.orden=o.orden)
				 inner join clientes as c on(g.id_cliente=c.id_cliente)
				 left join estados_gestion eg
on g.id_estado = eg.id_estado
left join devoluciones d
on g.id_devolucion = d.id_devolucion
			where g.id_planilla='".$planilla."' and g.id_mensajero=".$id_men." ";
	
	
	$bd->query($SQL);
	$i=0;
	$total_guias=0;


  
		while($datos=$bd->getfila()){
			$dato['CLIENTE']=trim($datos[1]);
			$dato['ORDEN']=trim($datos[2]);
			$dato['PRODUCTO']=trim($datos[3]);
			$dato['GUIA']=trim($datos[4]);
			$dato['DESTINATARIO']=truncar($datos[5],25);
			$dato['DIRECCION']=truncar($datos[6],25);
			$dato['CIUDAD']=trim($datos[7]);
			$dato['ESTADO']=$datos[16];
			$dato['DEV']=$datos[17];
			$mostrar[]=$dato;
$nombre_archivo = "Consulta.csv"; 
$linea=trim($datos[1]).','.trim($datos[2]).','.trim($datos[3]).','.trim($datos[4]).','.trim($datos[5]).','.trim($datos[6]).','.trim($datos[7]).','.trim($datos[16]).','.trim($datos[17])."\n";

    		
		$total_guias=$total_guias+$valor;
		$i=$i+1;
		}
	
	$outputBuffer = fopen("php://output", 'w');
//volcamos el contenido del array en formato csv
foreach($mostrar as $val) {
    fputcsv($outputBuffer, $val);
}
//cerramos el wrapper
fclose($outputBuffer);
exit;

	$pdf->ezTable($mostrar,'','',array('fontSize' => 6,'showHeadings' => 1,'shaded'=> 1,
	   'shadeCol' => array(0.92,0.92,0.92),'shadeCol2' => array(0.9,0.9,0.9), 'cols'=>array(
	   											'CLIENTE'=>array('justification'=>'left','width'=>80), 
												'ORDEN'=>array('justification'=>'left','width'=>35), 
										  		'PRODUCTO'=>array('justification'=>'left','width'=>55), 
										  		'GUIA'=>array('justification'=>'left','width'=>66), 
										  		'DESTINATARIO'=>array('justification'=>'left','width'=>100), 
										  		'DIRECCION'=>array('justification'=>'left','width'=>90),
										  		'CIUDAD'=>array('justification'=>'left','width'=>60), 
												'ENT'=>array('justification'=>'left','width'=>25), 
												'DEV'=>array('justification'=>'left','width'=>25)
	
	)));
												
	//$pdf->ezStream();
	}
}
else
{
echo '<BR><BR><BR><BR><div class="alertas" align="center"> OPERACION NO VALIDA!!<BR>SALGA DEL APLICATIVO <BR>Y VUELVA A IDENTIFICARSE NUEVAMENTE</div>';
}
?>
